GNU Radio C++ API Reference: gr::fxpt_vco Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::fxpt_vco Class Reference
Miscellaneous

Voltage Controlled Oscillator (VCO). More...

`#include <gnuradio/fxpt_vco.h>`

## Public Member Functions
| fxpt_vco ()
| ~fxpt_vco ()
void | set_phase (float angle)
void | adjust_phase (float delta_phase)
float | get_phase () const
void | sincos (float *sinx, float *cosx) const
void | sincos (gr_complex *output, const float *input, int noutput_items, float k, float ampl=1.0)
void | cos (float *output, const float *input, int noutput_items, float k, float ampl=1.0)
float | cos () const
float | sin () const

## Detailed Description

Voltage Controlled Oscillator (VCO).

## Constructor & Destructor Documentation

## ◆ fxpt_vco()

gr::fxpt_vco::fxpt_vco | ( |  | ) |
| inline

## ◆ ~fxpt_vco()

gr::fxpt_vco::~fxpt_vco | ( |  | ) |
| inline

## Member Function Documentation

## ◆ adjust_phase()

void gr::fxpt_vco::adjust_phase | ( | float | delta_phase | ) |
| inline

References gr::fxpt::float_to_fixed().

Referenced by cos(), and sincos().

## ◆ cos() [1/2]

float gr::fxpt_vco::cos | ( |  | ) | const
| inline

References gr::fxpt::cos().

## ◆ cos() [2/2]

void gr::fxpt_vco::cos | ( | float * | output,
|  | const float * | input,
|  | int | noutput_items,
|  | float | k,
|  | float | ampl = 1.0 )
| inline

References adjust_phase(), and gr::fxpt::cos().

## ◆ get_phase()

float gr::fxpt_vco::get_phase | ( |  | ) | const
| inline

References gr::fxpt::fixed_to_float().

## ◆ set_phase()

void gr::fxpt_vco::set_phase | ( | float | angle | ) |
| inline

References gr::fxpt::float_to_fixed().

## ◆ sin()

float gr::fxpt_vco::sin | ( |  | ) | const
| inline

References gr::fxpt::sin().

## ◆ sincos() [1/2]

void gr::fxpt_vco::sincos | ( | float * | sinx,
|  | float * | cosx ) const
| inline

References gr::fxpt::cos(), and gr::fxpt::sin().

## ◆ sincos() [2/2]

void gr::fxpt_vco::sincos | ( | gr_complex * | output,
|  | const float * | input,
|  | int | noutput_items,
|  | float | k,
|  | float | ampl = 1.0 )
| inline

References adjust_phase(), gr::fxpt::cos(), and gr::fxpt::sin().

The documentation for this class was generated from the following file:

- fxpt_vco.h